# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve Class Reference

`#include <PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve.hxx>`

Inheritance diagram for PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve ()
Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve (const Handle(PGeom_BSplineCurve)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom_BSplineCurve)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom_BSplineCurve) _CSFDB_GetPColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurvemyValue() const
void | _CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurvemyValue (const Handle(PGeom_BSplineCurve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_BSplineCurve | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve | ( |  | ) |

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve | ( | const Handle(PGeom_BSplineCurve)& | aValue | ) |

PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::_CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurvemyValue | ( | const Handle(PGeom_BSplineCurve)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::Handle | ( | PGeom_BSplineCurve |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::SetValue | ( | const Handle(PGeom_BSplineCurve)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BSplineCurve PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayNodeOfFieldOfHArray1OfBSplineCurve.hxx